#include<fstream>
using namespace std;
int main()
{
	ifstream f1("SLU.INP");
	ofstream f2("SLU.OUT");
	int n;
	f1>>n;
	f1.close();
	int u=0;
	int i;
	for(i=1;i*i<=n;i++)
	{
		if(n%i==0)
		{
			u++;
			if((n/i)!=i) u++;
		}
	}
	f2<<u;
	f2.close();
	return 0;
}
